Bug 9720 - uninitialized value warnings in circulation
Summary: uninitialized value warnings in circulation
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Fridolin SOMERS
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-27 14:01 UTC by Fridolin SOMERS
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (circulation) (4.40 KB, patch)
2013-02-27 14:51 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Proposed patch (members) (2.16 KB, patch)
2013-02-27 14:52 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 9720 : uninitialized value warnings in circulation (4.45 KB, patch)
2013-02-27 21:23 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9720 : uninitialized value warnings in circulation (followup 1) (2.21 KB, patch)
2013-02-27 21:24 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9720 : uninitialized value warnings in circulation (4.54 KB, patch)
2013-03-29 12:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 9720 : uninitialized value warnings in circulation (followup 1) (2.31 KB, patch)
2013-03-29 12:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2013-02-27 14:01:16 UTC
Like said in Bug 5727 :
A lot of 'Use of uninitialized value in concatenation (.) or string' pollute log files and make them unreadable.

This warnings must be corrected in most used pages of circulation/members module.
Comment 1 Fridolin SOMERS 2013-02-27 14:51:10 UTC Comment hidden (obsolete)
Comment 2 Fridolin SOMERS 2013-02-27 14:52:10 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2013-02-27 21:23:03 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2013-02-27 21:24:07 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2013-03-29 12:44:37 UTC
Created attachment 17026 [details] [review]
Bug 9720 : uninitialized value warnings in circulation

This patch corrects several uninitialized value errors.

Test plan:
- Go to check out page
- Check that issues and old issues are in different tables
- Check that author is diplayed if exists
- Check that patron address is displayed if exists
- Perform a checkout

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2013-03-29 12:44:43 UTC
Created attachment 17027 [details] [review]
Bug 9720 : uninitialized value warnings in circulation (followup 1)

This patch corrects several uninitialized value errors.

Test plan:
- Edit a borrower
- Enter a surname using lowercase (it will be displayed uppercase by CSS) and save
=> Borrower surname is uppercase
- Edit an organisation (depends on borrower category)
- Enter a surname using lowercase (it will be displayed uppercase by CSS) and save
=> Borrower surname is uppercase
- Go to a borrower page who has today issues
- Click on More/Export today's checked in barcodes
=> You get a file to dowload

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2013-03-29 12:45:31 UTC
QA Comment:
I am certainly in favor of removings warns! One small point:
    $data{'surname'} &&= uc( $data{'surname'} );
This is not a very clear construct. But it works. An if reads better..

Nothing to say. Looks good. Passed QA
Comment 8 Jared Camins-Esakov 2013-03-30 03:00:13 UTC
This patch has been pushed to master.

There are still some uninitialized value warnings in circ, but fewer:
Use of uninitialized value in string ne at /home/jcamins/kohaclone/circ/circulation.pl line 393.
Use of uninitialized value in string eq at /home/jcamins/kohaclone/circ/circulation.pl line 399.
Use of uninitialized value in sprintf at /home/jcamins/kohaclone/circ/circulation.pl line 453.
Use of uninitialized value in sprintf at /home/jcamins/kohaclone/circ/circulation.pl line 453.

(if you decide to work on them, please open a new bug)
Comment 9 Chris Cormack 2013-04-24 10:21:02 UTC
Pushed to 3.10.x will be in 3.10.6